<?php

if (empty($_GET['sok'])) {
    echo '<div class="post"><div style="text-align:center">' . "\n";
    echo 'ВНИМАНИЕ! При удалении почтового домена также будут удалены все почтовые ящики, почтовые группы, перенаправления и автоответчики относящиеся к этому домену.' . "\n";
    echo '<hr />' . "\n";
    echo 'Вы действительно хотите удалить почтовый домен ' . htmlentities($_GET['elid'], ENT_QUOTES, 'UTF-8') . '?<br />' . "\n";
    echo '</div></div>' . "\n";
    echo '<div class="post"><form action="?func=emaildomain.delete&amp;elid=' . urlencode($_GET['elid']) . '&amp;sok=yes" method="post">' . "\n";
    echo '<input type="checkbox" name="dns" value="on" /> Сохранить записи в DNS<br />' . "\n";
    echo '<input name="submit" type="submit" value="Удалить" /><br />' . "\n";
    echo '</form></div>' . "\n";
    echo '<div class="menu"><img src="images/t-back.png" alt=".." /><a href="?func=emaildomain">Отмена</a>' . "\n</div>";
} else {
    $dns = isset($_POST['dns'])?'on':'';
    $content = api_query('https://' . $server . '/manager/ispmgr?func=emaildomain.delete&elid=' . urlencode($_GET['elid']) . '&dns=' . $dns . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
    $parse_xml = simplexml_load_string($content);
    if (isset($parse_xml->ok)) {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Почтовый домен успешно удален!<br />' . "\n";
        echo '<a href="?func=emaildomain">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
    } else {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Ошибка при удалении почтового домена!<br />' . "\n";
        echo '<a href="?func=emaildomain">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
    }
}

?>